import React, { ChangeEvent, FunctionComponent, ReactElement, useEffect, useState } from "react";
import { useDispatch } from "react-redux";
import { useParams } from "react-router-dom";
import { getPostById } from "../../store/posts/posts.slice";
import { useSelector } from "react-redux";
import { RootState } from "../../store/store";
import { getCommentsByPost } from "../../store/comments/comments.slice";
import Comment from "../../components/Comment/Comment";


const Details: FunctionComponent = (): ReactElement =>  {
    const params: any = useParams();
    const dispatch = useDispatch();
    const {comments} = useSelector((state: RootState) => state.comments)
    useEffect(() => {
        dispatch(getPostById(params.id))
    }, [params])

    useEffect(() => {
        //@ts-ignore
        dispatch(getCommentsByPost(params.id))
    }, [params.id])

    return (
        <div className="details">
            <div className="container">
                {comments ? <h1>Comments</h1> : ''}
                {comments.map(c => {
                    return <Comment
                        params_id={params.id}
                        comments={c}
                        />
                })}
            </div>
        </div>
    )
}

export default Details